/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.calendar-scale-select {
  white-space: nowrap;
  height: 34px;
  .calendar-scale-radios {
    .calendar-scale-radio {
      display: inline-table;
      margin: 0;
      width: 60px;
      text-align: center;
      .ant-radio {
        &.ant-radio-checked {
          .ant-radio-inner {
            &:after {
              border: 1.4rem solid #0032d9;
            }
          }
          &::after {
            all: revert;
          }
        }
        margin: auto;
        height: 8px;
        width: 8px;
        .ant-radio-inner {
          height: 0.8rem;
          width: 0.8rem;
          z-index: 2;
          border-color: @platfrom-blue1;
          &::after {
            top: 0;
            left: 0;
            height: 14px;
            width: 14px;
            background-color: @platfrom-blue1;
            z-index: 2;
          }
        }
      }
      span:not(.ant-radio) {
        padding: 0;
        font-size: 1.4rem;
      }
      &::after {
        height: 0;
      }
    }
    .calendar-scale-radio:nth-child(2) {
      margin: 0 70px;
      .ant-radio {
        &::after,
        &::before {
          content: '';
          display: block;
          border-top: 1px solid @title-bg-blue;
          position: absolute;
          top: 4px;
          width: 122px;
          pointer-events: none;
        }
        &::after {
          left: 8px;
        }
        &::before {
          left: -122px;
        }
      }
    }
  }
}
